//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

/*
*******************************************************************
All examples in this support document are only intended
to improve understanding of the functionality and 
handling of the equipment. 
Beijer Electronics Incorporated cannot assume any liability if these
examples are used in real applications.
In view of the wide range of applications for this 
equipment, users must acquire sufficient knowledge 
themselves in order to ensure that it is correctly used in 
their specific application. Persons responsible for the 
application and the equipment must themselves 
ensure that each application is in compliance with all 
relevant requirements, standards and legislation in 
respect to configuration and safety.
Beijer Electronics Incorporated will accept no liability for any 
damage incurred during the installation or use of this 
equipment.
Beijer Electronics Incorporated prohibits all modification, changes
or conversion of the equipment.

This sample has dependencies to internal iX-functions. It has been 
tested with version 2.xx. There are no guarantees that this sample 
will compile or work as intended in future versions of iX since the 
internal architecture may be changed.
*******************************************************************
*/

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
	using System.IO;
    
    public partial class Screen1
    {		
		void Screen1_Opened(System.Object sender, System.EventArgs e)
		{
			try {
				//copy .PDF files from USB thumb drive to terminal
				string srcPath = "\\Hard Disk";
				string targetPath = "\\FlashDrive\\Project\\Project Files";
				
				try {
					Directory.CreateDirectory(targetPath); 
				}
				catch (Exception) {}
			
				string[] files = Directory.GetFiles(srcPath, "*.pdf");
				foreach (string srcFileName in files) {
					string targetFileName = targetPath + "\\" + Path.GetFileName(srcFileName);
					File.Copy(srcFileName, targetFileName);
				}
			}
			catch (Exception ex) {
				MessageBox.Show("Screen1_Opened, " + ex.Message);
			}
		}
    }
}
